Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.jdbc
Class AbstractJDBCListener

    java.lang.Object
      |
      +--com.solarmetric.jdbc.AbstractJDBCListener

All Implemented Interfaces:
  JDBCListener

Direct Known Subclasses:
  PerformanceTracker

public class AbstractJDBCListener
extends Object
implements JDBCListener

An abstract implementation of the `JDBCListener` listener. It allows simple implementation of fine-grained event handling.

Constructor Summary
`AbstractJDBCListener()`

Method Summary
`void` | `afterCommit(JDBCEvent event)`
`void` | `afterConnect(JDBCEvent event)`
`void` | `afterCreateStatement(JDBCEvent event)`
`void` | `afterExecuteStatement(JDBCEvent event)`
`void` | `afterPrepareStatement(JDBCEvent event)`
`void` | `afterReturn(JDBCEvent event)`
`void` | `afterRollback(JDBCEvent event)`
`void` | `beforeClose(JDBCEvent event)`
`void` | `beforeCommit(JDBCEvent event)`
`void` | `beforeCreateStatement(JDBCEvent event)`
`void` | `beforeExecuteStatement(JDBCEvent event)`
`void` | `beforePrepareStatement(JDBCEvent event)`
`void` | `beforeReturn(JDBCEvent event)`
`void` | `beforeRollback(JDBCEvent event)`
`protected void` | `eventOccurred(JDBCEvent event)` Catch-all for unhandled events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJDBCListener

    public AbstractJDBCListener()

Method Detail

### eventOccurred

    protected void eventOccurred(JDBCEvent event)

  Catch-all for unhandled events. This method is called by all other event methods if you do not override them. Does nothing by default.

### beforePrepareStatement

    public void beforePrepareStatement(JDBCEvent event)

  Specified by:
    `beforePrepareStatement` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.BEFORE_PREPARE_STATEMENT`

### afterPrepareStatement

    public void afterPrepareStatement(JDBCEvent event)

  Specified by:
    `afterPrepareStatement` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.AFTER_PREPARE_STATEMENT`

### beforeCreateStatement

    public void beforeCreateStatement(JDBCEvent event)

  Specified by:
    `beforeCreateStatement` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.BEFORE_CREATE_STATEMENT`

### afterCreateStatement

    public void afterCreateStatement(JDBCEvent event)

  Specified by:
    `afterCreateStatement` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.AFTER_CREATE_STATEMENT`

### beforeExecuteStatement

    public void beforeExecuteStatement(JDBCEvent event)

  Specified by:
    `beforeExecuteStatement` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.BEFORE_EXECUTE_STATEMENT`

### afterExecuteStatement

    public void afterExecuteStatement(JDBCEvent event)

  Specified by:
    `afterExecuteStatement` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.AFTER_EXECUTE_STATEMENT`

### beforeCommit

    public void beforeCommit(JDBCEvent event)

  Specified by:
    `beforeCommit` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.BEFORE_COMMIT`

### afterCommit

    public void afterCommit(JDBCEvent event)

  Specified by:
    `afterCommit` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.AFTER_COMMIT`

### beforeRollback

    public void beforeRollback(JDBCEvent event)

  Specified by:
    `beforeRollback` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.BEFORE_ROLLBACK`

### afterRollback

    public void afterRollback(JDBCEvent event)

  Specified by:
    `afterRollback` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.AFTER_ROLLBACK`

### beforeReturn

    public void beforeReturn(JDBCEvent event)

### afterReturn

    public void afterReturn(JDBCEvent event)

### afterConnect

    public void afterConnect(JDBCEvent event)

  Specified by:
    `afterConnect` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.AFTER_CONNECT`

### beforeClose

    public void beforeClose(JDBCEvent event)

  Specified by:
    `beforeClose` in interface `JDBCListener`
  Following copied from interface: `com.solarmetric.jdbc.JDBCListener`
  See Also:
    `JDBCEvent.BEFORE_CLOSE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.